    <!DOCTYPE html>
    <html>
    
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <title>Analog system</title>
            <meta name="description" content="Analog system performance analyser.">
            <link rel="stylesheet" href="main.css">
            <script src="processing.js" ></script>
        <link rel="icon" type="img/png" href="icon.png">
        </head>
        <body>
            
             <img alt="pattern" src="Udayan Umapathi2.png" height="80"
                width="300">
            
            <br>
            <br>

           
            <ulh>
                <lih><a  class="menu" href="index.html" >home</a></lih>
                <lih><a class="menu" href="projects.html" >projects</a></lih>
                <lih><a class="menu" href="research.html">research</a></lih>
                <lih><a class="menu" href="hobby.html">obsession</a></lih>
            </ulh>
        
            <hr class="style-one"/>
            
            <p> <b>Analog system performance analyser</b> by Udayan Umapathi</p>
            <hr class="style-six"> 
            
            <p>Almost every electronic system incorporates analog devices and components. All of these components have inherent noise 
                sources. Furthermore, these components put together as a system give rise to <a 
            href="http://en.wikipedia.org/wiki/Noise_(electronics)" target="_blank">other kinds of noise</a>. A large number of 
                electronic devices/boards are classified as precision-analog systems. In these systems, it is required to characterize 
                and find out the base level of its intrinsic noise. The characterization also gives us a measure of analog performance of 
                the system. </p>
                
                I developed a tool that can precisely do this. The tool was fundamentally an USB based data-logger that collects samples 
            of analog data from the board under consideration and process it for various parameters. These parameters include Mean value 
            of noise, RMS value of noise, Peak-Peak value of noise, Signal-to-Noise Ratio (SNR), <a href= 
            "http://en.wikipedia.org/wiki/Effective_number_of_bits" target="_blank">Effective number of bits</a> (corresponding to ADC 
            measurement). The tool also provides a histogram showing the distribution of measured ADC data.</p>
        
         <p><i>Technology used:</i> Dotnet, <a href="http://www.cypress.com/?id=2232" target="_blank">PSoC3</a>, <a href="http://www.cypress.com/?id=2233" target="_blank">PSoC 5</a>, Matlab <br>
        <i>Skills:</i> C# programming, USB protocol expertise, Mathematical modeling, Analog system design involving ADC
        </p>
        
        <br>    
        
            <img alt="Analog System"
                src="Analog_system.png" height="400" width="560">
            <br>
            
        <br>
        
        <p>I developed this tool when I worked for <a href="http://www.cypress.com/" target="_blank">Cypress Semiconductor</a> in Bangalore Designer Center, India. Engineers and developers across the globe using Cypress products employ this tool to get a measure of analog system performance of their designs.</p>
            
            <hr class="style-seven" />            
            <p class="left">copyrights©2013 Udayan</p>
            <br style="clear: both" />       
       </body>
    </html>
